; How font substitutions works:
; 
; 1. Multiple substitution sets can be in the config, but only the one selected
;    with "Fontplex.Settings.FontSet" will be used at runtime.
;
; 2. When a font is requested, fontplex looks whether a special substitution
;    sequence is present for this font. If not, it'll use the default one:
;    The font from all slave servers plus the fallback substitution sequence.
;
; 3. Special substitution sequences will be evaluated as follows:
;    A sequence contains a number of font names separated by ','. The name from 
;    all slave servers will be added to the list, except a font server was
;    explicitly selected (by inserting "<font server>:" before the font name.)
;    The font can be scaled (relative to the size selected by the user) by
;    adding "@<scale factor>" after the font name.
;    Finally, the default substitution sequence (including the fallback) is 
;    added as well.)
;
; 4. The fallback sequence has the same syntax as a normal substitution 
;    sequence.
;
; Note that the same font/server combo will never appear twice in a 
; substitution sequence.
;
; Resolution of the font server name for explicit selection works as following:
;  a) Check whether a plugin named "<font server>" is in the registry. If yes,
;     load.
;  b) Check whether "<font server>" was mapped to a plugin name (basically,
;     looks up the value of the 
;     "Fontplex.ServerMaps.<substitution set>.<font server>" key)
;  c) Try to load a plugin with the name "crystalspace.font.server.<font server>"

Fontplex.Settings.FontSet = Default
Fontplex.ServerMaps.Default.freefont2 = crystalspace.font.server.freetype2

; Fallbacks: Arial Unicode MS (not even present on all Win32 systems),
; Arial (widespread) and GNU Unifont(shipped with CS)
Fontplex.Fonts.Default.*Fallback = /fonts/ttf/arialuni.ttf,/fonts/ttf/arial.ttf,/fonts/unifont/unifont.csf

; To make the TrueType "*small" a bit smaller
Fontplex.Fonts.Default.*small = *small@0.75
